res_lib_votequorum_getinfo Struct Reference

The res_lib_votequorum_getinfo struct. More...

`#include <ipc_votequorum.h>`

## Public Member Functions

struct qb_ipc_response_header header | __attribute__ ((aligned(8)))

## Data Fields

unsigned int | nodeid
unsigned int | state
unsigned int | votes
unsigned int | expected_votes
unsigned int | highest_expected
unsigned int | total_votes
unsigned int | quorum
unsigned int | flags
unsigned int | qdevice_votes
char | qdevice_name [VOTEQUORUM_QDEVICE_MAX_NAME_LEN]

## Detailed Description

The res_lib_votequorum_getinfo struct.

Definition at line 189 of file ipc_votequorum.h.

## Member Function Documentation

## __attribute__()

struct qb_ipc_response_header header res_lib_votequorum_getinfo::__attribute__ | ( | (aligned(8)) |  | ) |

References __attribute__(), and header.

Referenced by __attribute__().

## Field Documentation

## expected_votes

unsigned int res_lib_votequorum_getinfo::expected_votes

Definition at line 194 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## flags

unsigned int res_lib_votequorum_getinfo::flags

Definition at line 198 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## highest_expected

unsigned int res_lib_votequorum_getinfo::highest_expected

Definition at line 195 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## nodeid

unsigned int res_lib_votequorum_getinfo::nodeid

Definition at line 191 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## qdevice_name

char res_lib_votequorum_getinfo::qdevice_name[VOTEQUORUM_QDEVICE_MAX_NAME_LEN]

Definition at line 200 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## qdevice_votes

unsigned int res_lib_votequorum_getinfo::qdevice_votes

Definition at line 199 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## quorum

unsigned int res_lib_votequorum_getinfo::quorum

Definition at line 197 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## state

unsigned int res_lib_votequorum_getinfo::state

Definition at line 192 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## total_votes

unsigned int res_lib_votequorum_getinfo::total_votes

Definition at line 196 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

## votes

unsigned int res_lib_votequorum_getinfo::votes

Definition at line 193 of file ipc_votequorum.h.

Referenced by votequorum_getinfo().

The documentation for this struct was generated from the following file:

- ipc_votequorum.h